[145803] trunk/dports/gnome/gnome-panel

devans at macports.org devans at macports.org
Wed Feb 17 11:12:53 PST 2016


Revision: 145803
          https://trac.macports.org/changeset/145803
Author:   devans at macports.org
Date:     2016-02-17 11:12:53 -0800 (Wed, 17 Feb 2016)
Log Message:
-----------
gnome-panel: update to version 3.18.2, update autogen.sh from upstream git, no longer needs gnome-common to build, disable compiler warnings.

Modified Paths:
--------------
    trunk/dports/gnome/gnome-panel/Portfile
    trunk/dports/gnome/gnome-panel/files/autogen.sh
    trunk/dports/gnome/gnome-panel/files/patch-m4-ax_compiler_flags_ldflags.m4.diff

Property Changed:
----------------
    trunk/dports/gnome/gnome-panel/


Property changes on: trunk/dports/gnome/gnome-panel
___________________________________________________________________
Modified: svn:mergeinfo
   - /branches/mld-qt-481/dports/gnome/gnome-panel:92720,92813,92891,92963,93522,93556,93699,93743,93771-93773,93806,93817-93818,93856
/users/devans/GNOME-3/stable/dports/gnome/gnome-panel:108276-113174,118155-142711
/users/devans/GNOME-3/unstable/dports/gnome/gnome-panel:117866-118151,132285-134454
/users/rmstonecipher/gnome/gnome-panel:102363-103172
   + /branches/mld-qt-481/dports/gnome/gnome-panel:92720,92813,92891,92963,93522,93556,93699,93743,93771-93773,93806,93817-93818,93856
/users/devans/GNOME-3/stable/dports/gnome/gnome-panel:108276-113174,118155-145802
/users/devans/GNOME-3/unstable/dports/gnome/gnome-panel:117866-118151,132285-134454
/users/rmstonecipher/gnome/gnome-panel:102363-103172

Modified: trunk/dports/gnome/gnome-panel/Portfile
===================================================================
--- trunk/dports/gnome/gnome-panel/Portfile	2016-02-17 19:10:02 UTC (rev 145802)
+++ trunk/dports/gnome/gnome-panel/Portfile	2016-02-17 19:12:53 UTC (rev 145803)
@@ -5,8 +5,7 @@
 PortGroup           gobject_introspection 1.0
 
 name                gnome-panel
-version             3.18.1
-revision            1
+version             3.18.2
 set branch          [join [lrange [split ${version} .] 0 1] .]
 maintainers         devans openmaintainer
 categories          gnome
@@ -21,15 +20,14 @@
 
 use_xz              yes
 
-checksums           rmd160  9dd6a35544e457d686720d0cf1768cf03d28c5eb \
-                    sha256  c62518031fe86cd36a2385686363a7e5eb0a94f2fc6a8a48cf56d94654540377
+checksums           rmd160  62259faa48b74cb62ce1f193501864d31ded96dd \
+                    sha256  e2d8a51a2b9b3a4aa948647992f6fee23c3e69ec5639f2a824383e8a61fbac29
 
 depends_build       port:pkgconfig \
                     port:intltool \
                     port:gtk-doc \
                     port:itstool \
                     port:yelp-tools \
-                    port:gnome-common \
                     port:autoconf \
                     port:automake \
                     port:libtool \
@@ -70,7 +68,7 @@
 
 configure.args      --enable-telepathy-glib \
                     --disable-silent-rules \
-                    --enable-compile-warnings=minimum \
+                    --enable-compile-warnings=no \
                     --disable-eds \
                     --disable-schemas-compile
 

Modified: trunk/dports/gnome/gnome-panel/files/autogen.sh
===================================================================
--- trunk/dports/gnome/gnome-panel/files/autogen.sh	2016-02-17 19:10:02 UTC (rev 145802)
+++ trunk/dports/gnome/gnome-panel/files/autogen.sh	2016-02-17 19:12:53 UTC (rev 145803)
@@ -1,22 +1,42 @@
 #!/bin/sh
+#
 # Run this to generate all the initial makefiles, etc.
 
-srcdir=`dirname $0`
+srcdir=$(dirname "$0")
 test -z "$srcdir" && srcdir=.
 
-REQUIRED_AUTOMAKE_VERSION=1.9
-REQUIRED_M4MACROS=introspection.m4
+if [ ! -f $srcdir/configure.ac ]; then
+  echo "**Error**: Directory "\'$srcdir\'" does not look like the top-level" \
+       "project directory."
+  exit 1
+fi
 
-#(test -f $srcdir/configure.ac \
-#  && test -f $srcdir/gnome-panel.doap) || {
-#    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
-#    echo " top-level gnome-panel directory"
-#    exit 1
-#}
+PKG_NAME=$(autoconf --trace 'AC_INIT:$1' "$srcdir/configure.ac")
 
-which gnome-autogen.sh || {
-    echo "You need to install gnome-common."
-    exit 1
-}
+if [ "$#" = 0 ] && [ -z "$NOCONFIGURE" ]; then
+  echo "**Warning**: I am going to run 'configure' with no arguments." >&2
+  echo "If you wish to pass any to it, please specify them on the '$0'" \
+       "command line." >&2
+fi
 
-. gnome-autogen.sh
+set -x
+aclocal --install || exit 1
+glib-gettextize --force --copy || exit 1
+gtkdocize --copy || exit 1
+intltoolize --force --copy --automake || exit 1
+autoreconf --verbose --force --install -Wno-portability || exit 1
+{ set +x; } 2>/dev/null
+
+if [ -z "$NOCONFIGURE" ]; then
+  set -x
+  $srcdir/configure "$@" || exit 1
+  { set +x; } 2>/dev/null
+
+  if [ "$1" = "--help" ]; then
+    exit 0
+  else
+    echo "Now type 'make' to compile $PKG_NAME." || exit 1
+  fi
+else
+  echo "Skipping configure process."
+fi

Modified: trunk/dports/gnome/gnome-panel/files/patch-m4-ax_compiler_flags_ldflags.m4.diff
===================================================================
--- trunk/dports/gnome/gnome-panel/files/patch-m4-ax_compiler_flags_ldflags.m4.diff	2016-02-17 19:10:02 UTC (rev 145802)
+++ trunk/dports/gnome/gnome-panel/files/patch-m4-ax_compiler_flags_ldflags.m4.diff	2016-02-17 19:12:53 UTC (rev 145803)
@@ -1,9 +1,9 @@
---- m4/ax_compiler_flags_ldflags.m4.orig	2015-03-11 16:01:32.000000000 -0700
-+++ m4/ax_compiler_flags_ldflags.m4	2015-03-11 16:06:33.000000000 -0700
+--- m4/ax_compiler_flags_ldflags.m4.orig	2016-02-09 13:15:45.000000000 -0800
++++ m4/ax_compiler_flags_ldflags.m4	2016-02-17 09:13:19.000000000 -0800
 @@ -49,7 +49,6 @@
  
      # Base flags
-     AX_APPEND_COMPILE_FLAGS([ dnl
+     AX_APPEND_LINK_FLAGS([ dnl
 -        -Wl,--no-as-needed dnl
          $3 dnl
      ],ax_warn_ldflags_variable,[$ax_compiler_flags_test])
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/macports-changes/attachments/20160217/23cfc244/attachment.html>


More information about the macports-changes mailing list